#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

NO_PIE_ARCHS := mips64el mipsel riscv64

BUILDFLAGS  = $(if $(filter $(DEB_HOST_ARCH),$(NO_PIE_ARCHS)),,-buildmode=pie) \
		-ldflags "-X main.Version=$(DEB_VERSION_UPSTREAM)"

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
